// 输入一个整数，输出它的所有因数。
// 例如：输入 12，输出 1 2 3 4 6 12
#include <iostream>

using namespace std;

int main()
{
    int n;
    cout << "请输入一个整数：";
    cin >> n;

    int i = 1;
    while (i <= n)
    {
        if (n % i == 0)
            cout << i << "\t";
        i++;
    }

    return 0;
}